function X = Undersampling_backward(x, mask, dimensions)
% Undersampling_backward
%   X = Undersampling_backward(x, mask, dimensions) performs zero filling.
%
% Input:    
%   x [vector]
%       vector of k-space components
%
%   mask [vector]
%       vector of indices to the data positions
%
%   dimensions [vector]
%       size of the original k-space
%
% Output:
%   X [matrix]              
%       zero filled k-space
%
% See also: Undersampling_forward
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

    X = zeros(dimensions);
    X(mask) = x;    

end