% JR_PETMRI_LPLS_script
%   JR_PETMRI_LPLS_script.m runs JR_PETMRI_LPLS_wrapper which reconstructs 
% from Poisson distributed PET data and undersampled MRI data using a
% linear parallel level sets prior.
%
% See also: JR_PETMRI_LPLS_wrapper JR_PETMRI_LPLS
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

clear all; clf; 

JR_PETMRI_LPLS_wrapper('full', 6.52e+02, 1.18e-02) 
JR_PETMRI_LPLS_wrapper('lines2', 1.66e+02, 5.54e-02)  
JR_PETMRI_LPLS_wrapper('radial20', 1.15e+02, 6.98e-02)
JR_PETMRI_LPLS_wrapper('radial15', 2.68e+02, 4.30e-02)
JR_PETMRI_LPLS_wrapper('spiralHigh', 2.78e+02, 5.02e-02)
JR_PETMRI_LPLS_wrapper('spiralUni', 2.61e+02, 3.73e-02)