% JR_PETMRI_QPLS_script
%   JR_PETMRI_QPLS_script.m runs JR_PETMRI_QPLS_wrapper which reconstructs 
% from Poisson distributed PET data and undersampled MRI data using a
% quadratic parallel level sets prior.
%
% See also: JR_PETMRI_QPLS_wrapper JR_PETMRI_QPLS
%
% 2014-08-06 --------------------------------------------------------------
% Matthias J. Ehrhardt
% CMIC, University College London, UK 
% matthias.ehrhardt.11@ucl.ac.uk
% http://www.cs.ucl.ac.uk/staff/ehrhardt/software.html
%
% -------------------------------------------------------------------------
% Copyright 2014 University College London
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
%   http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.
% -------------------------------------------------------------------------

clear all; clf; 

JR_PETMRI_QPLS_wrapper('full', 5.38e+02, 2.28e-03) 
JR_PETMRI_QPLS_wrapper('lines2', 3.86e+02, 3.86e-03)  
JR_PETMRI_QPLS_wrapper('radial20', 7.22e+02, 2.16e-03)
JR_PETMRI_QPLS_wrapper('radial15', 3.99e+02, 3.28e-03)
JR_PETMRI_QPLS_wrapper('spiralHigh', 1.29e+02, 1.04e-02)
JR_PETMRI_QPLS_wrapper('spiralUni', 4.55e+02, 3.28e-03)